# GET All Markets

### `GET` All Markets

```
https://soccer.sportmonks.com/api/v2.0/markets
```

| Endpoint details        |         |
| ----------------------- | ------- |
| Authorization           | API Key |
| Pagination              | NO      |
| Allowed nested includes | 0       |

#### Parameters

No parameters available for this endpoint.

#### Include options

No includes available for this endpoint.

#### Example response

{% tabs %}
{% tab title="Request" %}

```
https://soccer.sportmonks.com/api/v2.0/markets?api_token={API_TOKEN}
```

{% endtab %}

{% tab title="Response" %}

```javascript
    "data": [
        {
            "id": 1,
            "name": "3Way Result"
        },
        {
            "id": 10,
            "name": "Home/Away"
        },
        {
            "id": 12,
            "name": "Over/Under"
        },
        {
            "id": 28,
            "name": "Asian Handicap"
        },
        {
            "id": 29,
            "name": "Asian Handicap Cards"
        },
        {
            "id": 30,
            "name": "Asian Total Cards"
        },
        {
            "id": 31,
            "name": "First Card Received"
        },
        {
            "id": 32,
            "name": "Time Of First Card"
        },
        {
            "id": 33,
            "name": "Team Cards"
        },
        {
            "id": 34,
            "name": "Corner Match Bet"
        },
        {
            "id": 35,
            "name": "Corner Handicap"
        },
        {
            "id": 36,
            "name": "Time Of First Corner"
        },
        {
            "id": 37,
            "name": "3Way Result 1st Half"
        },
        {
            "id": 38,
            "name": "Goals Over/Under 2nd Half"
        },
        {
            "id": 39,
            "name": "Team Corners"
        },
        {
            "id": 47,
            "name": "Over/Under 2nd Half"
        },
        {
            "id": 63,
            "name": "Double Chance"
        },
        {
            "id": 69,
            "name": "Team To Score First"
        },
        {
            "id": 75,
            "name": "Team To Score Last"
        },
        {
            "id": 80,
            "name": "3Way Result 2nd Half"
        },
        {
            "id": 83,
            "name": "Handicap Result"
        },
        {
            "id": 13343,
            "name": "Team Clean Sheet"
        },
        {
            "id": 28075,
            "name": "Fulltime Result"
        },
        {
            "id": 28076,
            "name": "To Win 2nd Half"
        },
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
Check this endpoint in Postman.\
&#x20;                                                             [![Run in Postman](https://run.pstmn.io/button.svg)](https://football-postman.sportmonks.com/#1651729b-36f3-46dd-a5bd-455a658a28d1)
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v2/endpoint-overview/markets/get-all-markets-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
